Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040007
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Discount Matrix Managementmajoralways2019-01-23 11:572019-02-06 10:00
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityhighResolutionfixedFixed in VersionRR19Q2
StatusclosedFix in branchFixed in SCM revision80f1109499f3
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression levelProduction - Confirmed Stable
Regression date2018-02-05
Regression introduced in releaseRR18Q2
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/e8a94369c01f [^]
Triggers an Emergency PackNo
Summary

0040007: Receipt with discounts can not be completed

Descriptionwith the module Discount Matrix Management, if one line is added with a discretionary discount, it is not possible to complete the receipt. When click in total button is done, error is returned:
Uncaught dodivide(): Divide by 0
Steps To ReproducePOS:
. new receipt:
. add Avalanche Transceiver
. click discount button: add disc_fixed_5_euro
. click in total button

in cosole, error is returned:
Uncaught dodivide(): Divide by 0
Proposed SolutionAttached a possible fix
TagsNo tags attached.
Attached Filesdiff file icon posibleFix40007.diff [^] (1,184 bytes) 2019-01-23 12:04 [Show Content]
patch file icon issue 40007 source discountmatrixmanagement.patch [^] (1,435 bytes) 2019-02-05 09:12 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039536 closedranjith_qualiantech_com [RR18Q4] Total Amount discounts get removed when splitting lines 
depends on backport 0040154RR19Q1 closedranjith_qualiantech_com Receipt with discounts can not be completed 
depends on backport 0040155RR18Q4.2 closedranjith_qualiantech_com Receipt with discounts can not be completed 
depends on backport 0040156RR18Q3.5 closedranjith_qualiantech_com Receipt with discounts can not be completed 
causes defect 0040286 closedranjith_qualiantech_com Receipt with discounts can not be completed 

-  Notes
(0109265)
hgbot (developer)
2019-01-28 08:20

Repository: erp/pmods/org.openbravo.retail.discounts.bytotal
Changeset: 054a73439f878c47bcfbd2e699c78fd88420acd7
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jan 28 12:50:31 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.bytotal/rev/054a73439f878c47bcfbd2e699c78fd88420acd7 [^]

Related to issue 40007 : New attribute lineQtyOffer is added to promotion

* For MultiDiscount support, qtyOffer has been set as 0.
  But qtyOffer has been used in few modules to calculate custome discount.
  So new attribute "lineQtyOffer" is added to promotion which holds the value of line qty
* Attribute "pendingQtyOffer" is added for above case, but same property is used in fillPromotionsStandard in calculateReceipt process
  So "pendingQtyOffer" is replaced with "lineQtyOffer"

---
M web/org.openbravo.retail.discounts.bytotal/js/promotion-by-total-utils.js
---
(0109273)
hgbot (developer)
2019-01-28 12:55

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 80f1109499f38e1f7d8a6123aead1ef6b126480c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jan 28 17:25:16 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/80f1109499f38e1f7d8a6123aead1ef6b126480c [^]

Fixed issue 40007 : New attribute lineQtyOffer is added to promotion

* For MultiDiscount support, qtyOffer has been set as 0.
  But qtyOffer has been used in few modules to calculate custome discount.
  So new attribute "lineQtyOffer" is added to promotion which holds the value of line qty
  When spliting the line, lineQtyOffer is updated based on obdiscQtyoffer

---
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0109274)
hgbot (developer)
2019-01-28 12:55

Repository: erp/pmods/org.openbravo.retail.discounts
Changeset: 057d37aaab37ae0244391b5eeea5e16a587e1253
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jan 28 17:25:36 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/057d37aaab37ae0244391b5eeea5e16a587e1253 [^]

Related to issue 40007 : New attribute lineQtyOffer is added to promotion

* For MultiDiscount support, qtyOffer has been set as 0.
  But qtyOffer has been used in few modules to calculate custome discount.
  So new attribute "lineQtyOffer" is added to promotion which holds the value of line qty

---
M web/org.openbravo.retail.discounts/js/promotion-manual.js
---
(0109275)
hgbot (developer)
2019-01-28 12:55

Repository: erp/pmods/org.openbravo.retail.discounts.discountmatrixmanagement
Changeset: c21e897e012af3fc8e6db202318aacb56df34a4b
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Mon Jan 28 17:25:24 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.discountmatrixmanagement/rev/c21e897e012af3fc8e6db202318aacb56df34a4b [^]

Related to issue 40007 : New attribute lineQtyOffer is added to promotion

* For MultiDiscount support, qtyOffer has been set as 0.
  But qtyOffer has been used in few modules to calculate custome discount.
  So new attribute "lineQtyOffer" is added to promotion which holds the value of line qty

---
M web/org.openbravo.retail.discounts.discountmatrixmanagement/js/hookRoleDiscounts.js
---
(0109537)
jorge-garcia (developer)
2019-02-04 17:16

It is possible we had found the original fix for this scenario in a missing patch that was never pushed to main repository of discount matrix management.
(0109563)
hgbot (developer)
2019-02-05 09:01

Repository: erp/pmods/org.openbravo.retail.discounts.discountmatrixmanagement
Changeset: b6f152a1ed2b0613fa2cb122eb656eabc8fb9872
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 05 13:31:35 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.discountmatrixmanagement/rev/b6f152a1ed2b0613fa2cb122eb656eabc8fb9872 [^]

Related to issue 40007 : Backed out changeset: c21e897e012a

---
M web/org.openbravo.retail.discounts.discountmatrixmanagement/js/hookRoleDiscounts.js
---
(0109565)
hgbot (developer)
2019-02-05 09:03

Repository: erp/pmods/org.openbravo.retail.discounts.discountmatrixmanagement
Changeset: 54faf346af7083b97d21e6d816d1742968dc462c
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 05 13:33:45 2019 +0530
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts.discountmatrixmanagement/rev/54faf346af7083b97d21e6d816d1742968dc462c [^]

Related to issue 40007 : Discount Should be calculated from discount models which are not hidden

* If qtyOffer is ZERO, for Discount calculation line qty must be used

---
M web/org.openbravo.retail.discounts.discountmatrixmanagement/js/hookRoleDiscounts.js
---
(0109620)
jorge-garcia (developer)
2019-02-06 09:55

Reopened to create backports
(0109621)
jorge-garcia (developer)
2019-02-06 09:55

Code reviewed and tested

- Issue History
Date Modified Username Field Change
2019-01-23 11:57 malsasua New Issue
2019-01-23 11:57 malsasua Assigned To => Retail
2019-01-23 11:57 malsasua Regression level => Production - Confirmed Stable
2019-01-23 11:57 malsasua Triggers an Emergency Pack => No
2019-01-23 12:04 malsasua File Added: posibleFix40007.diff
2019-01-23 12:04 malsasua Proposed Solution updated
2019-01-23 15:02 ranjith_qualiantech_com Assigned To Retail => ranjith_qualiantech_com
2019-01-23 15:02 ranjith_qualiantech_com Status new => scheduled
2019-01-28 07:22 ranjith_qualiantech_com Relationship added related to 0039536
2019-01-28 08:20 hgbot Checkin
2019-01-28 08:20 hgbot Note Added: 0109265
2019-01-28 12:55 hgbot Checkin
2019-01-28 12:55 hgbot Note Added: 0109273
2019-01-28 12:55 hgbot Status scheduled => resolved
2019-01-28 12:55 hgbot Resolution open => fixed
2019-01-28 12:55 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/80f1109499f38e1f7d8a6123aead1ef6b126480c [^]
2019-01-28 12:55 hgbot Checkin
2019-01-28 12:55 hgbot Note Added: 0109274
2019-01-28 12:55 hgbot Checkin
2019-01-28 12:55 hgbot Note Added: 0109275
2019-02-04 17:16 jorge-garcia Note Added: 0109537
2019-02-04 17:16 jorge-garcia Status resolved => new
2019-02-04 17:16 jorge-garcia Resolution fixed => open
2019-02-04 17:40 jorge-garcia Review Assigned To => jorge-garcia
2019-02-05 09:01 hgbot Checkin
2019-02-05 09:01 hgbot Note Added: 0109563
2019-02-05 09:03 hgbot Checkin
2019-02-05 09:03 hgbot Note Added: 0109565
2019-02-05 09:12 ranjith_qualiantech_com File Added: issue 40007 source discountmatrixmanagement.patch
2019-02-05 12:52 ranjith_qualiantech_com Status new => scheduled
2019-02-05 12:52 ranjith_qualiantech_com Status scheduled => resolved
2019-02-05 12:52 ranjith_qualiantech_com Resolution open => fixed
2019-02-06 09:55 jorge-garcia Note Added: 0109620
2019-02-06 09:55 jorge-garcia Status resolved => new
2019-02-06 09:55 jorge-garcia Resolution fixed => open
2019-02-06 09:55 jorge-garcia Status new => scheduled
2019-02-06 09:55 jorge-garcia Status scheduled => resolved
2019-02-06 09:55 jorge-garcia Fixed in Version => RR19Q2
2019-02-06 09:55 jorge-garcia Resolution open => fixed
2019-02-06 09:55 jorge-garcia Note Added: 0109621
2019-02-06 09:55 jorge-garcia Status resolved => closed
2019-02-06 10:00 jorge-garcia Regression date => 2018-02-05
2019-02-06 10:00 jorge-garcia Regression introduced in release => RR18Q2
2019-02-06 10:00 jorge-garcia Regression introduced by commit => https://code.openbravo.com/erp/pmods/org.openbravo.retail.discounts/rev/e8a94369c01f [^]
2019-02-27 16:51 Leyre Relationship added causes 0040286


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker